<ion-header>
  <ion-toolbar>
    <ion-title>
      Ekofil
      <ion-button (click)="exportCSV()">Exportar</ion-button> 
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="ion-padding">
    <tr>
      <th>ID</th>
      <th>Numero de serie</th>
      <th>Hora de inicio</th>
      <th>Hora de finalizacion</th>
      <th>Peso Neto (gr)</th>
      <th>Tiempo transcurrido (mins)</th>
      <th>Filtrado por hora</th>
      <th>Imprimir</th>
    </tr>
    <tr *ngFor="let row of table">
      <td>{{ row.index + 1}}</td>
      <td>
        <ion-input 
          type="number" 
          [value]="row.numSerie" 
          (input)="row.numSerie=$event.target.value"
          placeholder="123 456" 
          maxlength="6"
          (ionChange)="handleNumSerie(row.index)">
        </ion-input>
      </td>
      <td>
        {{ row.horaInicio == undefined ? "--" : addZero(row.horaInicio.getHours()) }}:{{ row.horaInicio == undefined ? "--" : addZero(row.horaInicio.getMinutes()) }}
      </td>
      <td>
        {{ row.horaFin == undefined ? "--" : addZero(row.horaFin.getHours()) }}:{{ row.horaFin == undefined ? "--" : addZero(row.horaFin.getMinutes()) }}
      </td>
      <td>
        <ion-input type="number" [value]="row.pesoNeto" (input)="row.pesoNeto=$event.target.value" placeholder="123 gr"
          (ionChange)="handlePesoNeto(row.index)" [disabled]="row.numSerie.length < 6"></ion-input>
      </td>
      <td>{{ row.tiempoMinutos != undefined ? row.tiempoMinutos : "--" }} mins</td>


      <td
        [ngClass]="{'danger' : row.resultadoFinal < 1 || row.resultadoFinal > 3.5, 'warn' : row.resultadoFinal == 1 || row.resultadoFinal == 3.5, 'ok' : row.resultadoFinal > 1 && row.resultadoFinal < 3.5}">
        {{ row.resultadoFinal != undefined ? row.resultadoFinal : "--" }} l/h</td>
      <td>
        <ion-button>Imprimir</ion-button>
      </td>
    </tr>
    <!-- <ion-list><ion-item>
      
    </ion-item>
    <ion-item>
      <
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Hora de inicio</ion-label>
      <ion-input></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Hora de final</ion-label>
      <ion-input></ion-input>
    </ion-item>
  </ion-list> -->
  </div>
</ion-content>